[SciPy-User] Compiling scipy.sparse.sparsetools extension throws g++ internal error

David Cournapeau david@silveregg.co...
Mon Mar 8 21:38:25 CST 2010


Diederik van Liere wrote:

> I don't think I will need this, this is for sparse matrix manipulation, right?

Yes.


> I need scipy.linalg although I prefer a complete working version of
> Scipy because it might the case the sparse module is required by one
> of other libraries I am suing.

Indeed - not building scipy.sparse is clearly a temporary workaround, I 
would not advise to do this as a long term solution. Another obvious 
thing to try is building the scipy's trunk, or re-generating the c++ 
sources from swig. The latter, by generating a different file, may be 
able to exercise another codepath in g++, and avoid the crash depending 
on where the crash happens in g++.

Ideally, if you could find-out what part of the code causes the crash 
and report the bug, we may be able to implement a workaround in scipy.

cheers,

David


More information about the SciPy-User mailing list